unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, AdvUtil, Vcl.Grids, AdvObj, BaseGrid,
  AdvGrid;

type
  TForm1 = class(TForm)
    mygrid: TAdvStringGrid;
    procedure FormCreate(Sender: TObject);
    procedure mygridGetEditorType(Sender: TObject; ACol, ARow: Integer;
      var AEditor: TEditorType);
    procedure mygridGetEditorProp(Sender: TObject; ACol, ARow: Integer;
      AEditLink: TEditLink);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  myGrid.Options := myGrid.Options +[goEditing];
  myGrid.MouseActions.DirectEdit := True;
  myGrid.MouseActions.DirectComboDrop := False;
  myGrid.Navigation.AlwaysEdit := True;
  myGrid.Navigation.AutoComboSelect := False;
  myGrid.ControlLook.DropDownAlwaysVisible := True;
end;

procedure TForm1.mygridGetEditorProp(Sender: TObject; ACol, ARow: Integer;
  AEditLink: TEditLink);
begin
  myGrid.ClearComboString;
  myGrid.AddComboString('BMW');
  myGrid.AddComboString('Mercedes');
  myGrid.AddComboString('Audi');
end;

procedure TForm1.mygridGetEditorType(Sender: TObject; ACol, ARow: Integer;
  var AEditor: TEditorType);
begin
  if acol = 1 then
    AEditor := edCheckBox;

  if acol = 2 then
    AEditor := edFloatSpinEdit;

  if acol = 3 then
    AEditor := edComboList;
end;

end.
